"""
Copyright (C) 2013-2015  University of Nebraska at Omaha NLP / KR Lab
Ben Susman <bsusman@unomaha.edu>, Yuliya Lierler <ylierler@unomaha.edu>, Dan Bailey

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""
	
import os

class Summarizer:
    verbClassDict = {}
    
    
    def __init__(self, selectedFeatures):
        self.report = selectedFeatures

                            
    def writeheader(self,featureTests, wekaFile):
        wekaFile.write("@RELATION ppattach\n")
        for key in self.report:
            if key in featureTests[0].results:
                wekaFile.write("@ATTRIBUTE %s {N,V,0}\n" % key)
        
        wekaFile.write("@ATTRIBUTE verb {%s}\n" % "\"cheat-10.6,cheat-10.6-1,cheat-10.6-1-1,judgement-33\",\"foul\",\"tape-22.4\",\"conspire-71\",\"other_cos-45.4\",\"cheat-10.6\",\"forget\",\"calculate\",\"pour-9.5,substance_emission-43.4\",\"spank-18.3\",\"exchange-13.6,exchange-13.6-1,exchange-13.6-1-1\",\"recycle\",\"lord\",\"force-59,force-59-1\",\"steal-10.5\",\"butter-9.9,contiguous_location-47.8,fill-9.8\",\"escape-51.1,calibratable_cos-45.6,appear-48.1.1,assuming_position-50,calibratable_cos-45.6-1,escape-51.1-2,spatial_configuration-47.6\",\"knead-26.5\",\"jack\",\"govern\",\"amuse-31.1\",\"encounter\",\"peer-30.3,rummage-35.5,stimulus_subject-30.4\",\"exaggerate\",\"unblock\",\"reinvent\",\"want-32.1,admire-31.2,admire-31.2-1,want-32.1-1\",\"force-59\",\"performance-26.7,performance-26.7-1\",\"assessment-34,investigate-35.4,sight-30.2\",\"subordinate\",\"wish-62\",\"concealment-16,concealment-16-1\",\"judgement-33\",\"accompany-51.7\",\"create-26.4,create-26.4-1\",\"avert\",\"redeploy\",\"enrol\",\"characterize-29.2\",\"violate\",\"say-37.7\",\"auction\",\"learn-14,discover-84,discover-84-1,assessment-34,discover-84-1-1,learn-14-1,sight-30.2\",\"culminate\",\"outpace\",\"fulfilling-13.4.1,fulfilling-13.4.1-1\",\"reappraise\",\"admit-65,allow-64,order-60\",\"get-13.5.1\",\"exchange-13.6\",\"avoid-52\",\"amalgamate-22.2,amalgamate-22.2-2,register-54.1\",\"animal_sounds-38,dub-29.3,get-13.5.1,manner_speaking-37.3\",\"say-37.7,say-37.7-1,judgement-33,reflexive_appearance-48.1.2,say-37.7-1-1\",\"hit-18.1,amuse-31.1,hit-18.1-1,sound_emission-43.2\",\"exist-47.1,exist-47.1-1,exist-47.1-1-1,gorge-39.6\",\"preview\",\"transfer_mesg-37.1.1,transfer_mesg-37.1.1-1,tell-37.2,transfer_mesg-37.1.1-1-1\",\"breathe-40.1.2,breathe-40.1.2-1,entity_specific_modes_being-47.2\",\"reflexive_appearance-48.1.2\",\"ascribe\",\"future_having-13.3\",\"marvel-31.3,hurt-40.8.3,amuse-31.1,hurt-40.8.3-2,marvel-31.3-4,pain-40.8.1\",\"advise-37.9,advise-37.9-1\",\"get-13.5.1,instr_communication-37.4\",\"throw-17.1,throw-17.1-1\",\"ward\",\"hold-15.1,conjecture-29.5,conjecture-29.5-1,fit-54.3,hold-15.1-1\",\"scribble-25.2\",\"throw-17.1,get-13.5.1,poison-42.2,throw-17.1-1\",\"mix-22.1,mix-22.1-2,cooperate-73,cooperate-73-1,mix-22.1-2-1\",\"chase-51.6\",\"cooperate-73,cooperate-73-3,knead-26.5\",\"eclipse\",\"put-9.1,put-9.1-1\",\"defer\",\"give-13.1,give-13.1-1\",\"want-32.1,want-32.1-1,appoint-29.1,order-60,want-32.1,want-32.1-1-1\",\"create-26.4,engender-27\",\"conjecture-29.5,conjecture-29.5-2,future_having-13.3\",\"stop-55.4,stop-55.4-1\",\"turn-26.6.1,hurt-40.8.3,hurt-40.8.3-1,convert-26.6.2,crane-40.3.2,hurt-40.8.3-1-1,meander-47.7,roll-51.3.1,turn-26.6.1-1\",\"fulfilling-13.4.1,fulfilling-13.4.1-2\",\"feature\",\"answer\",\"disassemble-23.3\",\"lag\",\"create-26.4,put_spatial-9.2\",\"remove-10.1\",\"summarize\",\"parallel\",\"obtain-13.5.2,obtain-13.5.2-1\",\"calibratable_cos-45.6,admire-31.2,calibratable_cos-45.6-1\",\"arbitrate\",\"declare-29.4,conjecture-29.5,conjecture-29.5-2,declare-29.4-1\",\"escape-51.1,escape-51.1-1\",\"order-60,get-13.5.1,order-60-1\",\"coil-9.6,knead-26.5,meander-47.7,pit-10.7,roll-51.3.1\",\"dedicate-79\",\"digest\",\"funnel-9.3,fit-54.3,funnel-9.3-2\",\"preparing-26.3,preparing-26.3-1,price-54.4\",\"strafe\",\"carve-21.2,build-26.1,build-26.1-1,carve-21.2-2,scribble-25.2\",\"weather-57\",\"fin\",\"exceed-90\",\"undercut\",\"decribed\",\"misstate\",\"hurt-40.8.3,hurt-40.8.3-1,appear-48.1.1,break-45.1,cheat-10.6,hurt-40.8.3-1-1,split-23.2\",\"bankroll\",\"indulge\",\"free-80,cheat-10.6,cheat-10.6-1,cheat-10.6-1-1,free-80-1\",\"conjecture-29.5,conjecture-29.5-1,wish-62\",\"amalgamate-22.2,amalgamate-22.2-2,amalgamate-22.2,amalgamate-22.2-1,amalgamate-22.2-1-1,amalgamate-22.2-2-1\",\"forbid-67\",\"carry-11.4,cost-54.2,fit-54.3\",\"allay\",\"shake-22.3,shake-22.3-1,knead-26.5,shake-22.3-1-1,spank-18.3\",\"dub-29.3\",\"quantify\",\"waive\",\"b-reflects\",\"advise-37.9,amuse-31.1,approve-77,force-59\",\"adapt\",\"instigate\",\"underwrite\",\"begin-55.1,begin-55.1-1\",\"veto\",\"streamline\",\"battle-36.4,battle-36.4-1\",\"price-54.4\",\"renew\",\"amalgamate-22.2,amalgamate-22.2-3\",\"force-59,create-26.4,force-59-1\",\"characterize-29.2,masquerade-29.6\",\"fill-9.8,pelt-17.2\",\"wipe_manner-10.4.1,spray-9.7,preparing-26.3,dress-41.1.1,floss-41.2.1,preparing-26.3-2,spray-9.7-1,wipe_manner-10.4.1-1\",\"tangle\",\"illustrate-25.3\",\"service\",\"butter-9.9,contiguous_location-47.8,exceed-90\",\"tot\",\"master\",\"masquerade-29.6,fulfilling-13.4.1,fit-54.3,fulfilling-13.4.1-1,masquerade-29.6-2,pay-68\",\"fill-9.8,illustrate-25.3\",\"downsize\",\"incur\",\"rebuff\",\"distance\",\"target\",\"appoint-29.1\",\"burnish\",\"spatial_configuration-47.6\",\"idle\",\"encase\",\"exist-47.1,exist-47.1-1,exist-47.1-1-1\",\"rewrite\",\"animal_sounds-38,sound_emission-43.2\",\"enjoin\",\"marvel-31.3,care-88,marvel-31.3-2\",\"reassert\",\"rat\",\"stomach\",\"seem\",\"regulate\",\"ferret-35.6\",\"ponder\",\"divulge\",\"amuse-31.1,destroy-44\",\"send-11.1,send-11.1-1\",\"finagle\",\"dial\",\"phase\",\"cheat-10.6,cheat-10.6-1,cheat-10.6-1-1\",\"mitigate\",\"assuming_position-50,spatial_configuration-47.6\",\"appear-48.1.1,entity_specific_modes_being-47.2\",\"dog\",\"swamp\",\"amalgamate-22.2,amalgamate-22.2,amalgamate-22.2-1,amalgamate-22.2-2\",\"withdraw-82,withdraw-82-3\",\"run-51.3.2\",\"reschedule\",\"cooperate-73,cooperate-73-2\",\"give-13.1\",\"preparing-26.3,cooking-45.3,judgement-33,preparing-26.3-2\",\"scribble-25.2,transcribe-25.4\",\"indicate-78,indicate-78-1,transfer_mesg-37.1.1\",\"bust\",\"say-37.7,say-37.7-1\",\"do\",\"pre-empt\",\"search-35.2,sight-30.2\",\"cushion\",\"say-37.7,consider-29.9,characterize-29.2,characterize-29.2-1,characterize-29.2-1-2,consider-29.9-1,say-37.7-1\",\"reconstruct\",\"admire-31.2\",\"get-13.5.1,get-13.5.1-1\",\"hospitalize\",\"appear-48.1.1\",\"get-13.5.1,appear-48.1.1,get-13.5.1-1,steal-10.5\",\"transcribe-25.4\",\"resist\",\"best\",\"subject\",\"scrap\",\"score\",\"finger\",\"escape-51.1,escape-51.1-2\",\"preserve\",\"wage\",\"accord\",\"exist-47.1,contribute-13.2,contribute-13.2-2,exist-47.1-1,future_having-13.3\",\"wipe_manner-10.4.1,simple_dressing-41.3.1,wipe_manner-10.4.1-1\",\"downgrade\",\"defend-85\",\"misunderstand\",\"correspond-36.1,correspond-36.1-1,battle-36.4,battle-36.4-1,chit_chat-37.6,correspond-36.1-1-1\",\"lecture-37.11,lecture-37.11-1,talk-37.5\",\"code\",\"trigger\",\"concealment-16\",\"put_direction-9.4,steal-10.5\",\"downplay\",\"performance-26.7,performance-26.7-2,build-26.1,coil-9.6,performance-26.7-2-1,roll-51.3.1,tingle-40.8.2\",\"amuse-31.1,other_cos-45.4\",\"inhibit\",\"dissect\",\"originate\",\"employ\",\"near\",\"help-72,help-72-1\",\"other_cos-45.4,spatial_configuration-47.6\",\"contiguous_location-47.8\",\"calve-28,engender-27\",\"have\",\"characterize-29.2,characterize-29.2-1\",\"say-37.7,say-37.7-1,reflexive_appearance-48.1.2,say-37.7-1-1\",\"build-26.1,build-26.1-1,dub-29.3,reach-51.8\",\"hurt-40.8.3,hurt-40.8.3-1,break-45.1,hurt-40.8.3-1-1,split-23.2,tingle-40.8.2\",\"bid\",\"appear-48.1.1,grow-26.2\",\"investigate-35.4\",\"co-produce\",\"calibratable_cos-45.6,calibratable_cos-45.6-1,entity_specific_cos-45.5\",\"redevelop\",\"spray-9.7,put_spatial-9.2,assuming_position-50,crane-40.3.2,poison-42.2,put_spatial-9.2-1,spatial_configuration-47.6,spray-9.7-1\",\"deflect\",\"nix\",\"obtain-13.5.2\",\"subpoena\",\"sentence\",\"contribute-13.2,contribute-13.2-1\",\"characterize-29.2,characterize-29.2-1,characterize-29.2-1-1\",\"cheat-10.6,cheat-10.6-1,other_cos-45.4\",\"spray-9.7,appear-48.1.1,entity_specific_modes_being-47.2,spray-9.7-1\",\"get-13.5.1,bill-54.5,get-13.5.1-1\",\"overemphasize\",\"reapportion\",\"spank-18.3,tape-22.4\",\"pocket-9.10\",\"remind\",\"reassign\",\"cope-83\",\"captain-29.8,captain-29.8-1\",\"carve-21.2,amuse-31.1,carve-21.2-2,rummage-35.5\",\"reinvest\",\"buffer\",\"convict\",\"engender-27\",\"rerouting\",\"masquerade-29.6,masquerade-29.6-2,reflexive_appearance-48.1.2,transfer_mesg-37.1.1\",\"chit_chat-37.6\",\"wipe_instr-10.4.2,funnel-9.3,wipe_instr-10.4.2-1\",\"discount\",\"send-11.1\",\"put-9.1\",\"fill-9.8\",\"fill-9.8,suffocate-40.7\",\"contiguous_location-47.8,fill-9.8\",\"annualized\",\"ensure\",\"restate\",\"groom-41.1.2\",\"rebut\",\"slide-11.2,slide-11.2-1,modes_of_being_with_motion-47.3,roll-51.3.1,run-51.3.2,slide-11.2-1-1\",\"accommodate\",\"spray-9.7,spray-9.7-1\",\"rely-70\",\"admire-31.2,contiguous_location-47.8,help-72\",\"turn-26.6.1\",\"meet-36.3,battle-36.4,battle-36.4-1,meet-36.3-2\",\"pre-register\",\"contiguous_location-47.8,pit-10.7\",\"appear-48.1.1,create-26.4,reflexive_appearance-48.1.2\",\"future_having-13.3,reflexive_appearance-48.1.2\",\"amuse-31.1,approve-77,forbid-67\",\"cooking-45.3,other_cos-45.4\",\"see-30.1,see-30.1-1,discover-84,discover-84-1,discover-84-1-1,see-30.1-1-1\",\"slide-11.2,slide-11.2-1,force-59,force-59-1,roll-51.3.1,run-51.3.2,slide-11.2-1-1\",\"spray-9.7,spray-9.7-2\",\"syndicate\",\"safeguard\",\"underfunded\",\"reset\",\"recentralized\",\"braid-41.2.2,fill-9.8,wipe_manner-10.4.1\",\"shin\",\"throw-17.1,throw-17.1-1,preparing-26.3,crane-40.3.2,preparing-26.3-1,throw-17.1-1-1\",\"amuse-31.1,force-59\",\"request\",\"search-35.2\",\"shake-22.3,shake-22.3-2,shake-22.3-2-1\",\"stake\",\"fill-9.8,other_cos-45.4\",\"implant\",\"slide-11.2,slide-11.2-1,shake-22.3,preparing-26.3,build-26.1,coil-9.6,crane-40.3.2,preparing-26.3-1,roll-51.3.1,run-51.3.2,shake-22.3-2,slide-11.2-1-1,sound_emission-43.2,split-23.2\",\"reconsider\",\"murder-42.1\",\"felt\",\"update\",\"fell\",\"'m\",\"adopt-93\",\"push-12,push-12-1,funnel-9.3,funnel-9.3-2,carry-11.4,carry-11.4-1,carry-11.4-1-1,force-59,funnel-9.3-2-1,push-12-1-1,split-23.2\",\"captain-29.8,captain-29.8-1,vehicle-51.4.1\",\"free-80,amuse-31.1,cheat-10.6,free-80-1\",\"sight-30.2\",\"focus-87\",\"create-26.4\",\"obviate\",\"chair\",\"skid\",\"see-30.1,see-30.1-1\",\"crane-40.3.2,light_emission-43.1\",\"bill-54.5,confine-92,equip-13.4.2,run-51.3.2\",\"equip-13.4.2,equip-13.4.2-1,equip-13.4.2-1-1,judgement-33\",\"airlift\",\"refinance\",\"relaunched\",\"jettison\",\"price-54.4,tape-22.4\",\"disappearance-48.2\",\"create-26.4,create-26.4-1,hunt-35.1,poke-19\",\"leave-51.2,escape-51.1,escape-51.1-1,fulfilling-13.4.1,future_having-13.3,keep-15.2,leave-51.2-1\",\"lodge-46,settle-89\",\"disqualify\",\"funnel-9.3,calibratable_cos-45.6,calibratable_cos-45.6-1,funnel-9.3-1\",\"dress-41.1.1,floss-41.2.1,wipe_manner-10.4.1\",\"calibratable_cos-45.6,calibratable_cos-45.6-1\",\"admire-31.2,admire-31.2-1\",\"conjecture-29.5,conjecture-29.5-2,discover-84,sight-30.2\",\"image_impression-25.1,instr_communication-37.4\",\"cost-54.2\",\"educate\",\"knead-26.5,other_cos-45.4\",\"meet-36.3,meet-36.3-1\",\"consider-29.9,conjecture-29.5,conjecture-29.5-1,consider-29.9-2,suspect-81\",\"appeal-31.4,appeal-31.4-3\",\"boost\",\"meld\",\"dwarf\",\"contemplate\",\"re-examine\",\"turn-26.6.1,exchange-13.6,dress-41.1.1,exchange-13.6-1,other_cos-45.4,turn-26.6.1-1\",\"body_internal_motion-49\",\"complain-37.8\",\"institute\",\"convert-26.6.2,send-11.1\",\"want-32.1,want-32.1-1,admire-31.2,want-32.1-1-1\",\"butter-9.9,fill-9.8\",\"fake\",\"instal\",\"market\",\"transplant\",\"indicate-78,indicate-78-1,declare-29.4,declare-29.4-1,declare-29.4-1-1,indicate-78-1-1\",\"exist-47.1,exist-47.1-1,gorge-39.6,lodge-46\",\"afford\",\"fill-9.8,butter-9.9,coloring-24,fill-9.8-1\",\"drive-11.5,drive-11.5-1,nonvehicle-51.4.2,run-51.3.2,spatial_configuration-47.6\",\"involve\",\"butter-9.9,contiguous_location-47.8\",\"drive-11.5,drive-11.5-1,vehicle-51.4.1\",\"escape-51.1,escape-51.1-2,escape-51.1-2-1\",\"amalgamate-22.2,amalgamate-22.2-3,amalgamate-22.2-3-1,rely-70\",\"indicate-78\",\"attribute\",\"vehicle-51.4.1\",\"touch-20,touch-20-1\",\"re-establish\",\"admire-31.2,sight-30.2\",\"attract\",\"transfer_mesg-37.1.1,transfer_mesg-37.1.1-1,performance-26.7,performance-26.7-2,lecture-37.11,lecture-37.11-1,performance-26.7-2-1,scribble-25.2,transfer_mesg-37.1.1-1-1\",\"map\",\"levy\",\"contribute-13.2,contribute-13.2-1,contribute-13.2-1-1\",\"fill-9.8,sight-30.2,weather-57\",\"performance-26.7,create-26.4,performance-26.7-2\",\"confine-92,confine-92-1,dedicate-79\",\"calibratable_cos-45.6,appear-48.1.1,build-26.1,calibratable_cos-45.6-1,entity_specific_modes_being-47.2,grow-26.2,other_cos-45.4\",\"man\",\"butter-9.9\",\"outline\",\"advise-37.9\",\"convert-26.6.2,convert-26.6.2-1\",\"bend-45.2\",\"lecture-37.11,force-59,force-59-1,lecture-37.11-1,talk-37.5\",\"remand\",\"shield\",\"repair\",\"utilize\",\"recoup\",\"shake-22.3,funnel-9.3,funnel-9.3-2,amuse-31.1,body_internal_states-40.6,crane-40.3.2,funnel-9.3-2-1,knead-26.5,modes_of_being_with_motion-47.3,shake-22.3-2\",\"equip-13.4.2,equip-13.4.2-1\",\"appear-48.1.1,create-26.4\",\"overhaul\",\"rummage-35.5\",\"consider-29.9,confess-37.10,consider-29.9-1\",\"funnel-9.3,crane-40.3.2,funnel-9.3-2,wipe_manner-10.4.1\",\"petition\",\"finance\",\"outgained\",\"break-45.1,destroy-44\",\"amalgamate-22.2,amalgamate-22.2-3,amalgamate-22.2-3-1\",\"interview\",\"discuss\",\"expedite\",\"rescind\",\"bedevil\",\"dub-29.3,appoint-29.1,dub-29.3-1\",\"calibratable_cos-45.6,calibratable_cos-45.6-1,meander-47.7,put_direction-9.4,roll-51.3.1\",\"body_internal_motion-49,modes_of_being_with_motion-47.3\",\"torch\",\"plant\",\"occurrence-48.3\",\"relive\",\"calibratable_cos-45.6,calibratable_cos-45.6-1,other_cos-45.4\",\"correspond-36.1\",\"contiguous_location-47.8,contiguous_location-47.8-2\",\"maneuver\",\"familiarize\",\"repurchase\",\"re-emphasize\",\"escape-51.1,escape-51.1-2,future_having-13.3,other_cos-45.4\",\"enforce-63\",\"complete-55.2\",\"put-9.1,put-9.1-2\",\"consider-29.9,consider-29.9-2,wish-62\",\"frequent\",\"reassess\",\"put_spatial-9.2,put_spatial-9.2-1\",\"withstand\",\"force-59,cheat-10.6,cheat-10.6-1,force-59-1\",\"dub-29.3,future_having-13.3,get-13.5.1\",\"contiguous_location-47.8,fill-9.8,sound_emission-43.2\",\"appear-48.1.1,crane-40.3.2,other_cos-45.4,spatial_configuration-47.6\",\"zap\",\"engineer\",\"breed\",\"indicate-78,indicate-78-1\",\"draft\",\"herd-47.5.2\",\"transfer_mesg-37.1.1\",\"contiguous_location-47.8,marry-36.2\",\"repatriate\",\"instr_communication-37.4\",\"knead-26.5,other_cos-45.4,weather-57\",\"assessment-34\",\"rival\",\"order-60,order-60-1\",\"rationalize\",\"orphan-29.7\",\"extinguish\",\"slat\",\"throw-17.1,hit-18.1,hit-18.1-1,throw-17.1-1\",\"say-37.7,indicate-78,indicate-78-1,say-37.7-1\",\"throw-17.1,bump-18.4,bump-18.4-1,throw-17.1-1\",\"give-13.1,get-13.5.1,give-13.1-1\",\"cut-21.1,cut-21.1-1,split-23.2\",\"say-37.7,say-37.7-1,sight-30.2\",\"evoke\",\"performance-26.7,bring-11.3,characterize-29.2,convert-26.6.2,cost-54.2,fit-54.3,performance-26.7-2,steal-10.5\",\"destroy-44\",\"funnel-9.3,funnel-9.3-2\",\"urge-58\",\"chase-51.6,stalk-35.3\",\"pelt-17.2\",\"calibratable_cos-45.6,other_cos-45.4\",\"foot\",\"average\",\"adopt-93,appoint-29.1,characterize-29.2\",\"drive-11.5,nonvehicle-51.4.2\",\"mix-22.1,mix-22.1-2,mix-22.1-2-1,tape-22.4\",\"transfer_mesg-37.1.1,transfer_mesg-37.1.1-1,indicate-78,indicate-78-1,conjecture-29.5,conjecture-29.5-2,crane-40.3.2,indicate-78-1-1,reflexive_appearance-48.1.2,transfer_mesg-37.1.1-1-1\",\"merit\",\"put_direction-9.4\",\"corner\",\"dub-29.3,butter-9.9,dub-29.3-1,illustrate-25.3\",\"fend\",\"title\",\"transact\",\"debunk\",\"braid-41.2.2\",\"get-13.5.1,convert-26.6.2,get-13.5.1-1\",\"carry-11.4\",\"hedge\",\"juggle\",\"say-37.7,indicate-78,indicate-78-1,characterize-29.2,characterize-29.2-1,characterize-29.2-1-2,confess-37.10,indicate-78-1-1,say-37.7-1\",\"learn-14,learn-14-2,learn-14-2-1\",\"outperform\",\"uncover\",\"appear-48.1.1,other_cos-45.4\",\"fit-54.3\",\"color-coding\",\"berry-13.7,tape-22.4\",\"mortgage\",\"forecast\",\"import\",\"presage\",\"spark\",\"wipe_instr-10.4.2,braid-41.2.2,search-35.2,wipe_instr-10.4.2-1\",\"escape-51.1,appear-48.1.1,escape-51.1-2\",\"undermine\",\"typify\",\"other_cos-45.4,settle-89\",\"tout\",\"murder-42.1,send-11.1\",\"exploit\",\"cancel\",\"pit-10.7\",\"crane-40.3.2,meander-47.7,other_cos-45.4\",\"rebuild\",\"appoint-29.1,image_impression-25.1\",\"enable\",\"contribute-13.2,contribute-13.2-2,contribute-13.2-2-1\",\"say-37.7,conjecture-29.5,conjecture-29.5-2,investigate-35.4,say-37.7-1,sight-30.2\",\"sound_existence-47.4,stimulus_subject-30.4\",\"amend\",\"build-26.1\",\"build-26.1,characterize-29.2\",\"perpetuate\",\"hurt-40.8.3,hurt-40.8.3-2,wipe_manner-10.4.1\",\"marry-36.2\",\"appear-48.1.1,build-26.1,grow-26.2,occurrence-48.3\",\"pay-68\",\"peer-30.3,search-35.2\",\"document\",\"lambast\",\"recapture\",\"build-26.1,meander-47.7\",\"commemorate\",\"clear-10.3,cheat-10.6,cheat-10.6-1,clear-10.3-1,other_cos-45.4\",\"minimize\",\"solve\",\"coordinate\",\"captain-29.8,captain-29.8-1,create-26.4\",\"equip-13.4.2,equip-13.4.2-1,judgement-33\",\"preparing-26.3,cooking-45.3,hunt-35.1,preparing-26.3-2\",\"lavish\",\"touch-20,contiguous_location-47.8,amuse-31.1,contiguous_location-47.8-1,touch-20-1\",\"butter-9.9,wipe_manner-10.4.1\",\"underline\",\"build-26.1,crane-40.3.2,entity_specific_modes_being-47.2,split-23.2,weather-57\",\"refurbish\",\"spray-9.7,spray-9.7-1,spray-9.7-1-1\",\"disrupt\",\"transfer_mesg-37.1.1,learn-14,learn-14-2,learn-14,discover-84,discover-84-1,discover-84-1-1,learn-14-1,learn-14-2-1,register-54.1,transfer_mesg-37.1.1,transfer_mesg-37.1.1-1\",\"rejoin\",\"wipe_instr-10.4.2,wipe_instr-10.4.2-1\",\"unveil\",\"other_cos-45.4,sound_emission-43.2\",\"implicate\",\"wipe_manner-10.4.1\",\"'ve\",\"benefit\",\"obstruct\",\"subsidize\",\"wipe_manner-10.4.1,wipe_manner-10.4.1-1\",\"'s\",\"repackaging\",\"indicate-78,indicate-78-1,indicate-78-1-1\",\"admit-65,judgement-33\",\"investigate-35.4,sight-30.2\",\"battle-36.4,battle-36.4-1,correspond-36.1\",\"build-26.1,herd-47.5.2\",\"throw-17.1,throw-17.1-1,amuse-31.1,throw-17.1-1-1\",\"put_spatial-9.2,admire-31.2,assuming_position-50,put_spatial-9.2-1,spatial_configuration-47.6\",\"garner\",\"determine\",\"wipe_manner-10.4.1,cheat-10.6,dress-41.1.1,wipe_manner-10.4.1-1\",\"berry-13.7\",\"preparing-26.3,preparing-26.3-1\",\"characterize-29.2,sight-30.2\",\"push-12,hurt-40.8.3,hurt-40.8.3-1,carry-11.4,get-13.5.1,hurt-40.8.3-1-1,push-12-1,split-23.2\",\"force-59,run-51.3.2,rush-53.2\",\"curtail\",\"hold-15.1,hold-15.1-1\",\"mix-22.1,mix-22.1-2,mix-22.1-2-1\",\"carve-21.2,braid-41.2.2,carve-21.2-2,pocket-9.10,run-51.3.2,wipe_instr-10.4.2\",\"contiguous_location-47.8,fill-9.8,other_cos-45.4\",\"deserve\",\"field\",\"trash\",\"indemnify\",\"separate-23.1,remove-10.1,separate-23.1-2\",\"peak\",\"tackle\",\"resell\",\"unload\",\"equip-13.4.2\",\"mimic\",\"requisition\",\"stockpile\",\"consider-29.9,consider-29.9-1,consider-29.9-1-1,consider-29.9-1-1-1\",\"lack\",\"dish\",\"chase-51.6,contiguous_location-47.8\",\"separate-23.1\",\"refocus\",\"insulate\",\"chase-51.6,pit-10.7\",\"foster\",\"spearhead\",\"solicit\",\"defuse\",\"parry\",\"wipe_manner-10.4.1,search-35.2,wipe_manner-10.4.1-1\",\"decide\",\"long-32.2,escape-51.1,calibratable_cos-45.6,calibratable_cos-45.6-1,convert-26.6.2,escape-51.1-2,long-32.2-1\",\"list\",\"adjust\",\"consider-29.9,consider-29.9-1,masquerade-29.6,price-54.4\",\"throw-17.1,send-11.1,consume-66,give-13.1,occurrence-48.3,send-11.1-1,throw-17.1-1\",\"further\",\"recalculate\",\"misrepresent\",\"hamper\",\"sue\",\"clock\",\"sum\",\"cheat-10.6,cheat-10.6-1,pit-10.7\",\"carve-21.2,amuse-31.1,break-45.1,carve-21.2-1\",\"falsify\",\"amalgamate-22.2,amalgamate-22.2-2,amalgamate-22.2-2-1\",\"hash\",\"modify\",\"outdistance\",\"infringe\",\"chew-39.2,chew-39.2-1,get-13.5.1\",\"authorize\",\"shake-22.3,crane-40.3.2,run-51.3.2,shake-22.3-2,waltz-51.5\",\"characterize-29.2,obtain-13.5.2\",\"quash\",\"automate\",\"throw-17.1,throw-17.1-1,hit-18.1,carry-11.4,carry-11.4-1,body_internal_motion-49,carry-11.4-1-1,crane-40.3.2,hit-18.1-1,split-23.2,throw-17.1-1-1\",\"entity_specific_cos-45.5,entity_specific_modes_being-47.2\",\"flay\",\"spray-9.7,shake-22.3,poke-19,shake-22.3-2,spray-9.7-1\",\"doom\",\"preparing-26.3,cooking-45.3,preparing-26.3-2\",\"banish-10.2\",\"exist-47.1,exist-47.1-1\",\"learn-14,learn-14-2,learn-14,discover-84,discover-84-1,discover-84-1-1,learn-14-1,learn-14-2-1\",\"leave-51.2\",\"co-host\",\"amalgamate-22.2,amalgamate-22.2-2\",\"share\",\"characterize-29.2,characterize-29.2-1,approve-77,characterize-29.2-1-1,obtain-13.5.2\",\"exclude\",\"image_impression-25.1\",\"allege\",\"judgement-33,suspect-81\",\"stymie\",\"reject\",\"shake-22.3,shake-22.3-1,amuse-31.1,modes_of_being_with_motion-47.3,shake-22.3-1-1\",\"spray-9.7,spray-9.7-1,weather-57\",\"abdicate\",\"send-11.1,run-51.3.2,send-11.1-1,steal-10.5\",\"marvel-31.3,marvel-31.3-8\",\"re-evaluating\",\"reclassify\",\"refuse\",\"resemble\",\"register-54.1\",\"shore\",\"reshape\",\"exchange-13.6,exchange-13.6-1\",\"marvel-31.3,admire-31.2,marvel-31.3-4\",\"free-80,free-80-1\",\"other_cos-45.4,turn-26.6.1\",\"ally\",\"escape-51.1,contribute-13.2,contribute-13.2-2,convert-26.6.2,escape-51.1-2,send-11.1\",\"say-37.7,say-37.7-1,wish-62\",\"compound\",\"herd-47.5.2,obtain-13.5.2\",\"limit-76\",\"found\",\"fit-54.3,pocket-9.10\",\"inflict\",\"carry-11.4,carry-11.4-1,carry-11.4-1-1,push-12\",\"separate-23.1,other_cos-45.4,separate-23.1-1\",\"research\",\"equate\",\"sustain\",\"avenge\",\"appear-48.1.1,fulfilling-13.4.1,future_having-13.3\",\"base\",\"consider-29.9,consider-29.9-1,consider-29.9-1-1,consider-29.9,characterize-29.2,characterize-29.2-1,characterize-29.2-1-1,consider-29.9-1,consider-29.9-1-1-1,wish-62\",\"order-60,inquire-37.1.2,order-60-1,urge-58\",\"transfer_mesg-37.1.1,transfer_mesg-37.1.1-1,transfer_mesg-37.1.1-1-1\",\"launch\",\"neglect-75,neglect-75-1,remove-10.1\",\"rack\",\"undergo\",\"feeding-39.7,fit-54.3,gorge-39.6\",\"see-30.1,marvel-31.3,consider-29.9,conjecture-29.5,conjecture-29.5-1,consider-29.9-2,hunt-35.1,marvel-31.3-3,see-30.1-1,stimulus_subject-30.4\",\"number\",\"create-26.4,other_cos-45.4\",\"performance-26.7,performance-26.7-2,characterize-29.2,coloring-24,image_impression-25.1,performance-26.7-2-1,scribble-25.2\",\"challenge\",\"fit-54.3,keep-15.2\",\"throw-17.1,throw-17.1-1,throw-17.1-1-1\",\"meet-36.3,battle-36.4,inquire-37.1.2,meet-36.3-1\",\"consider-29.9,admire-31.2,consider-29.9-2\",\"anticipate\",\"substracting\",\"say-37.7,declare-29.4,declare-29.4-1,declare-29.4-1-1,declare-29.4-1-1-1,reflexive_appearance-48.1.2,say-37.7-1\",\"exert\",\"overstate\",\"remodel\",\"refute\",\"jeopardize\",\"couch\",\"build-26.1,build-26.1-1\",\"performance-26.7,performance-26.7-1,meet-36.3,meet-36.3-1,performance-26.7-1-1\",\"alleviate\",\"consider-29.9,consider-29.9-1,rely-70\",\"transfer_mesg-37.1.1,transfer_mesg-37.1.1-1\",\"get-13.5.1,reach-51.8\",\"chart\",\"obtain-13.5.2,steal-10.5\",\"preparing-26.3,free-80,clear-10.3,clear-10.3-1,free-80-1,other_cos-45.4,preparing-26.3-1,weather-57\",\"preparing-26.3,clear-10.3,clear-10.3-1,other_cos-45.4,preparing-26.3-2\",\"sound_emission-43.2\",\"carve-21.2,carve-21.2-1\",\"free-80,steal-10.5\",\"bill-54.5,judgement-33\",\"declare-29.4,declare-29.4-1,declare-29.4-1-1,declare-29.4-1-1-2,get-13.5.1\",\"copyright\",\"sanitize\",\"factor\",\"override\",\"captain-29.8,accompany-51.7,captain-29.8-1\",\"throw-17.1,hit-18.1,contiguous_location-47.8,bump-18.4,contiguous_location-47.8-1,hit-18.1-1,reach-51.8,throw-17.1-1\",\"invoke\",\"outlast\",\"reinvesting\",\"restart\",\"resolve\",\"banish-10.2,remove-10.1\",\"say-37.7,declare-29.4,appoint-29.1,confess-37.10,declare-29.4-2,say-37.7-1\",\"supercede\",\"murder-42.1,murder-42.1-1\",\"put-9.1,preparing-26.3,force-59,braid-41.2.2,force-59-1,image_impression-25.1,preparing-26.3-2,put-9.1-2\",\"funnel-9.3,funnel-9.3-2,funnel-9.3-2-1\",\"see-30.1,consider-29.9,consider-29.9-1,characterize-29.2,characterize-29.2-1,consider-29.9-1-1,see-30.1-1\",\"tender\",\"crane-40.3.2,other_cos-45.4\",\"double-crossed\",\"spray-9.7,dress-41.1.1,pelt-17.2,spray-9.7-1,weather-57\",\"deactivate\",\"woo\",\"linger-53.1,linger-53.1-1\",\"complement\",\"disallow\",\"succeed-74,cope-83,cope-83-1,cope-83-1-1,exceed-90,succeed-74-1\",\"franchise\",\"suspect-81\",\"license\",\"oversee\",\"quell\",\"hit-18.1,fill-9.8,hit-18.1-1,tape-22.4\",\"marvel-31.3,judgement-33,marvel-31.3-6\",\"devour-39.4,consume-66,devour-39.4-1\",\"liken\",\"fill-9.8,poison-42.2\",\"bolster\",\"crane-40.3.2,put_direction-9.4\",\"crane-40.3.2,dub-29.3,image_impression-25.1\",\"exempt\",\"fund\",\"approve-77\",\"cinch\",\"throw-17.1,push-12,push-12-1,carry-11.4,carry-11.4-1,carry-11.4-1-1,push-12-1-1,split-23.2,throw-17.1-1\",\"accomodate\",\"bill-54.5,characterize-29.2\",\"amalgamate-22.2,amalgamate-22.2-1\",\"endanger\",\"force-59,accompany-51.7,force-59-1\",\"break-45.1,split-23.2\",\"co-author\",\"emphasize\",\"say-37.7,advise-37.9,advise-37.9-1,say-37.7-1\",\"dub-29.3,dub-29.3-1\",\"calibratable_cos-45.6,calibratable_cos-45.6-1,put_direction-9.4\",\"earmark\",\"halve\",\"carve-21.2,build-26.1,carve-21.2-1,crane-40.3.2\",\"withdraw-82,remove-10.1,withdraw-82-3\",\"recant\",\"consume-66,consume-66-1,pay-68\",\"comprise\",\"separate-23.1,separate-23.1-1\",\"build-26.1,build-26.1-1,engender-27,reflexive_appearance-48.1.2\",\"down\",\"discipline\",\"hurt-40.8.3,cut-21.1,build-26.1,amuse-31.1,braid-41.2.2,build-26.1-1,cut-21.1-1,hurt-40.8.3-2,meander-47.7,split-23.2\",\"amalgamate-22.2,amalgamate-22.2-2,amalgamate-22.2-2-1,correlate-86\",\"break-45.1,crane-40.3.2,manner_speaking-37.3,sound_emission-43.2\",\"finalize\",\"rebound\",\"advocate\",\"throw-17.1,hit-18.1,bump-18.4,bump-18.4-1,hit-18.1-1,sound_emission-43.2,split-23.2,throw-17.1-1\",\"modes_of_being_with_motion-47.3,roll-51.3.1\",\"retake\",\"confront\",\"ignore\",\"shake-22.3,herd-47.5.2,knead-26.5,obtain-13.5.2,other_cos-45.4,shake-22.3-2\",\"continue-55.3\",\"advise-37.9,amuse-31.1,force-59\",\"resold\",\"back\",\"mirror\",\"put_spatial-9.2\",\"murder-42.1,remove-10.1\",\"cut-21.1,cut-21.1-1\",\"touch-20,force-59,touch-20-1\",\"invade\",\"be\",\"swarm-47.5.1,preparing-26.3,meander-47.7,preparing-26.3-1,run-51.3.2,swarm-47.5.1-1\",\"wipe_manner-10.4.1,spray-9.7,crane-40.3.2,spray-9.7-1,wipe_manner-10.4.1-1\",\"appear-48.1.1,pit-10.7\",\"become\",\"stricken\",\"concealment-16,fill-9.8,forbid-67\",\"fulfil\",\"substance_emission-43.4\",\"risk-94,risk-94-1\",\"traduce\",\"question\",\"mishandle\",\"escape-51.1,calibratable_cos-45.6,calibratable_cos-45.6-1,escape-51.1-2,meander-47.7\",\"invite\",\"crank\",\"tingle-40.8.2\",\"'re\",\"grow-26.2,other_cos-45.4\",\"highlight\",\"reconcile\",\"influence\",\"sublet\",\"single\",\"curb\",\"nonvehicle-51.4.2\",\"liberalize\",\"retrace\",\"build-26.1,scribble-25.2,transcribe-25.4\",\"performance-26.7,performance-26.7-2,force-59,force-59,force-59-1,performance-26.7-2-1,remove-10.1,scribble-25.2,split-23.2\",\"reassume\",\"carry-11.4,search-35.2\",\"structure\",\"pocket-9.10,pocket-9.10-1\",\"preparing-26.3,mix-22.1,mix-22.1-1,mix-22.1-1-1,preparing-26.3-1\",\"push-12,push-12-1,split-23.2\",\"dispel\",\"escape-51.1,escape-51.1-2,meander-47.7\",\"uphold\",\"send-11.1,confine-92,confine-92-1,send-11.1-1\",\"re-establishing\",\"breach\",\"admit-65\",\"prepay\",\"wink-40.3.1,braid-41.2.2,modes_of_being_with_motion-47.3,wink-40.3.1-1\",\"underscore\",\"wipe_manner-10.4.1,funnel-9.3,funnel-9.3-2,wipe_manner-10.4.1-1\",\"build-26.1,put-9.1\",\"redistribute\",\"harbor\",\"amalgamate-22.2,amalgamate-22.2-3,amalgamate-22.2-3-1,amalgamate-22.2-3-1-1,marry-36.2\",\"force-59,amuse-31.1,force-59-1\",\"amuse-31.1,try-61\",\"pledge\",\"calibratable_cos-45.6,calibratable_cos-45.6-1,run-51.3.2\",\"bend-45.2,build-26.1,crane-40.3.2,knead-26.5\",\"poke-19,rummage-35.5\",\"exacerbate\",\"contribute-13.2,contribute-13.2-2,reflexive_appearance-48.1.2\",\"infuse\",\"relocate\",\"dress-41.1.1\",\"characterize-29.2,judgement-33\",\"prescribe\",\"intercept\",\"let\",\"meet-36.3,contiguous_location-47.8,contiguous_location-47.8-1,meet-36.3-1\",\"performance-26.7,performance-26.7-1,manner_speaking-37.3,performance-26.7-1-1,sound_emission-43.2\",\"bode\",\"turn-26.6.1,convert-26.6.2,convert-26.6.2-1,turn-26.6.1-1\",\"performance-26.7,manner_speaking-37.3,performance-26.7-1\",\"resurrect\",\"defeat\",\"escape-51.1,calibratable_cos-45.6,calibratable_cos-45.6-1,escape-51.1-1,meander-47.7,run-51.3.2\",\"conjecture-29.5,conjecture-29.5-1\",\"disobey\",\"succeed-74,succeed-74-1,neglect-75,cope-83,cope-83-1,cope-83-1-1,neglect-75-2,succeed-74-1-1\",\"extricate\",\"apply\",\"cloud\",\"retrofit\",\"consume-66,fit-54.3\",\"fee\",\"duplicate\",\"spray-9.7,spray-9.7-1,learn-14,learn-14-1,spray-9.7-1-1\",\"sort\",\"unplug\",\"preparing-26.3,pour-9.5,preparing-26.3-2,substance_emission-43.4,weather-57\",\"carve-21.2,carve-21.2-2\",\"fulfill\",\"control\",\"throw-17.1,hit-18.1,hit-18.1-1,investigate-35.4,throw-17.1-1\",\"process\",\"bill-54.5\",\"assuming_position-50,bend-45.2,knead-26.5,spatial_configuration-47.6\",\"send-11.1,send-11.1-1,split-23.2\",\"manner_speaking-37.3,sound_emission-43.2\",\"chew-39.2,chew-39.2-2\",\"pocket-9.10,lodge-46,pocket-9.10-1,put-9.1\",\"reestablish\",\"spray-9.7,keep-15.2,spray-9.7-2\",\"send-11.1,reflexive_appearance-48.1.2,send-11.1-1\",\"attend\",\"farm\",\"stop-55.4,forbid-67,lodge-46,stop-55.4-1\",\"await\",\"nullify\",\"counter\",\"funnel-9.3\",\"conjecture-29.5,admit-65,allow-64,conjecture-29.5-1\",\"battle-36.4,battle-36.4-1,other_cos-45.4,spatial_configuration-47.6\",\"understate\",\"amuse-31.1,roll-51.3.1,slide-11.2\",\"meted\",\"complicate\",\"a-includes\",\"underpin\",\"pending\",\"bump-18.4,break-45.1,bump-18.4-1,sound_emission-43.2\",\"re-enter\",\"launder\",\"nose-dived\",\"mandate\",\"preclude\",\"mix-22.1,mix-22.1-1,mix-22.1-1-1\",\"slide-11.2,slide-11.2-1,roll-51.3.1,run-51.3.2,slide-11.2-1-1\",\"well-stated\",\"thwart\",\"constitute\",\"captain-29.8,captain-29.8-1,sight-30.2\",\"rev\",\"lecture-37.11,lecture-37.11-1\",\"postpone\",\"clarify\",\"push-12,push-12-1,push-12-1-1\",\"appear-48.1.1,pour-9.5,substance_emission-43.4\",\"keep-15.2\",\"nonvehicle-51.4.2,run-51.3.2,tape-22.4\",\"retain\",\"facilitate\",\"scarf\",\"co-founded\",\"amalgamate-22.2,amalgamate-22.2-2,amuse-31.1\",\"sound_existence-47.4\",\"instill\",\"circulate\",\"reposition\",\"obtain-13.5.2,learn-14,obtain-13.5.2-1\",\"reallocate\",\"consider-29.9,consider-29.9-1,consider-29.9-1-1,characterize-29.2,characterize-29.2-1,characterize-29.2-1-1,consider-29.9-1-1-1\",\"spurn\",\"marvel-31.3,amuse-31.1,marvel-31.3-2,pain-40.8.1\",\"shoe-horn\",\"beg\",\"embody\",\"elongate\",\"bill-54.5,rely-70,risk-94\",\"recuse\",\"want-32.1,want-32.1-1,order-60,want-32.1,want-32.1-1-1\",\"test-drive\",\"rout\",\"preparing-26.3,mix-22.1,mix-22.1-1,correspond-36.1,mix-22.1-1-1,preparing-26.3-1\",\"deploy\",\"judgement-33,pay-68\",\"shake-22.3,get-13.5.1,herd-47.5.2,shake-22.3-2\",\"occasion\",\"stop-55.4\",\"bring-11.3,bring-11.3-1\",\"sidetrack\",\"marvel-31.3,admire-31.2,admire-31.2-1,marvel-31.3-3\",\"redirect\",\"outflank\",\"wreak\",\"re-evaluate\",\"prolong\",\"achieve\",\"outsell\",\"shake-22.3,shake-22.3-1,hit-18.1,crane-40.3.2,hit-18.1-1,knead-26.5,shake-22.3-1-1,sound_emission-43.2\",\"computerize\",\"summon\",\"stuff\",\"contiguous_location-47.8,fit-54.3\",\"consider-29.9,characterize-29.2,characterize-29.2-1,consider-29.9-1,sight-30.2\",\"conform\",\"juxtapose\",\"portend\",\"reinforce\",\"reform\",\"tend\",\"legitimize\",\"torpedo\",\"sabotage\",\"outfit\",\"hit-18.1,crane-40.3.2,hit-18.1-1\",\"outrank\",\"equal\",\"conjecture-29.5,admit-65,confess-37.10,conjecture-29.5-2\",\"predispose\",\"red-flag\",\"gobble-39.3,gobble-39.3-2,hiccup-40.1.1\",\"hamstring\",\"vent\",\"conclude\",\"revamp\",\"distil\",\"maximize\",\"it's\",\"entitle\",\"consume-66,consume-66-1,destroy-44,pay-68\",\"characterize-29.2,characterize-29.2-1,characterize-29.2-1-1,reflexive_appearance-48.1.2\",\"conjecture-29.5,conjecture-29.5-2,reflexive_appearance-48.1.2\",\"fulfilling-13.4.1,reflexive_appearance-48.1.2\",\"captain-29.8,captain-29.8,captain-29.8-1,give-13.1\",\"readied\",\"align\",\"admire-31.2,price-54.4\",\"surface\",\"interrogate\",\"other_cos-45.4,stop-55.4\",\"calibratable_cos-45.6,calibratable_cos-45.6-1,vehicle-51.4.1\",\"escape-51.1,contiguous_location-47.8,contiguous_location-47.8-1,crane-40.3.2,escape-51.1-1\",\"romance\",\"drive-11.5,drive-11.5-1\",\"divvying\",\"absorb\",\"proscribe\",\"eat-39.1,eat-39.1-2\",\"lobby\",\"muscle\",\"restructure\",\"ratify\",\"glut\",\"tone\",\"amalgamate-22.2,amalgamate-22.2-3,amalgamate-22.2-3-1,amalgamate-22.2-3-1-1\",\"pin-pointed\",\"wink-40.3.1,wink-40.3.1-1\",\"arrest\",\"mix-22.1,mix-22.1-2\",\"break-45.1,sound_emission-43.2\",\"possess\",\"warrant\",\"miscalculate\",\"wipe_manner-10.4.1,funnel-9.3,funnel-9.3-2,entity_specific_modes_being-47.2,funnel-9.3-2-1,meander-47.7,run-51.3.2,wipe_manner-10.4.1-1\",\"consider-29.9,consider-29.9-1,conjecture-29.5,characterize-29.2,characterize-29.2-1,conjecture-29.5-1,consider-29.9-1-1\",\"equip-13.4.2,equip-13.4.2-1,equip-13.4.2-1-1\",\"supervise\",\"push-12,push-12-1,force-59,push-12-1-1\",\"redesign\",\"want-32.1,want-32.1-1,admire-31.2,admire-31.2-1,want-32.1-1-1\",\"heed\",\"propel\",\"characterize-29.2,judgement-33,weather-57\",\"export\",\"say-37.7,say-37.7-1,send-11.1\",\"amuse-31.1,send-11.1\",\"pinpoint\",\"accompany-51.7,force-59\",\"rearding\",\"locate\",\"offset\",\"equip-13.4.2,butter-9.9,equip-13.4.2-1\",\"calibratable_cos-45.6,appear-48.1.1,calibratable_cos-45.6-1\",\"breathe-40.1.2,substance_emission-43.4\",\"throw-17.1\",\"damp\",\"revise\",\"own\",\"rectify\",\"assessment-34,price-54.4\",\"weather\",\"wipe_instr-10.4.2,spray-9.7,bump-18.4,braid-41.2.2,bump-18.4-1,floss-41.2.1,spray-9.7-1,wipe_instr-10.4.2-1\",\"contribute-13.2,contribute-13.2-2,send-11.1\",\"get-13.5.1,calibratable_cos-45.6,calibratable_cos-45.6-1,get-13.5.1-1\",\"wipe_manner-10.4.1,funnel-9.3,funnel-9.3-2,funnel-9.3-2-1,knead-26.5,wipe_manner-10.4.1-1\",\"eat-39.1,eat-39.1-1\",\"masquerade-29.6,matter-91,rely-70\",\"other_cos-45.4,wipe_manner-10.4.1\",\"retool\",\"cake\",\"indicate-78,indicate-78-1,indicate-78-1-1,transfer_mesg-37.1.1\",\"display\",\"devise\",\"consider-29.9,consider-29.9-1,conjecture-29.5,conjecture-29.5-1,consider-29.9-1-1,sight-30.2\",\"contribute-13.2,contribute-13.2-1,contribute-13.2-1-1,contribute-13.2-1-1-1\",\"hurt-40.8.3,hurt-40.8.3-1,coil-9.6,coil-9.6-1,hurt-40.8.3-1-1,knead-26.5,meander-47.7,roll-51.3.1\",\"contest\",\"detain\",\"animal_sounds-38,manner_speaking-37.3,sound_emission-43.2\",\"junk\",\"say-37.7,say-37.7-1,stop-55.4\",\"exist-47.1,exist-47.1-1,lodge-46\",\"stag\",\"foil\",\"poison-42.2,swat-18.2\",\"repeal\",\"craft\",\"buoy\",\"pervert\",\"exist-47.1,exist-47.1-1,rely-70\",\"hit-18.1,hit-18.1-1\",\"underperform\",\"break-45.1,run-51.3.2,split-23.2\",\"misjudge\",\"meet-36.3,correspond-36.1,correspond-36.1-1,correspond-36.1-1-1,meet-36.3-2\",\"mull\",\"nosedive\",\"deregulate\",\"cheat-10.6,wipe_manner-10.4.1\",\"nurture\",\"buttress\",\"put_spatial-9.2,assuming_position-50,put_spatial-9.2-1,spatial_configuration-47.6\",\"reinvested\",\"sandwich\",\"neglect-75,neglect-75-1,neglect-75-1-1\",\"hurt-40.8.3,entity_specific_cos-45.5,entity_specific_modes_being-47.2,hurt-40.8.3-2,light_emission-43.1,other_cos-45.4,tingle-40.8.2\",\"staunch\",\"interrupt\",\"accomplish\",\"curtsey-40.3.3,judgement-33\",\"amalgamate-22.2,amalgamate-22.2-2,amalgamate-22.2-2-1,fill-9.8\",\"steal-10.5,tape-22.4\",\"pare\",\"marvel-31.3,amuse-31.1,marvel-31.3-8\",\"brace\",\"penetrate\",\"other_cos-45.4,run-51.3.2,rush-53.2\",\"signify\",\"practice\",\"brave\",\"bemoan\",\"devour-39.4,devour-39.4-1\",\"sanctify\",\"mistake\",\"par\",\"belie\",\"de-emphasize\",\"caption\",\"implement\",\"brandish\",\"touch-20,throw-17.1,throw-17.1-1,touch-20-1\",\"reintroduce\",\"epitomize\",\"animal_sounds-38,manner_speaking-37.3\",\"exhort\",\"resuscitate\",\"second-guess\",\"overshadow\",\"taboo\",\"harangue\",\"run-51.3.2,search-35.2\",\"overpay\",\"free-80,cheat-10.6,free-80-1\",\"flinch-40.5,other_cos-45.4\",\"withhold\"")
        wekaFile.write("@ATTRIBUTE prep {%s}\n" % "plus,versus,as,of,in,to,for,with,among,on,into,during,by,at,between,per,against,since,through,from,around,under,via,throughout,about,above,toward,without,near,like,across,over,than,within,de,next,behind,off,after,below,before,Than,To,notwithstanding,upon,until,because,despite,along,unlike,alongside,For,amid,if,but,aboard,except,With,beyond,up,outside,inside,whether,down,past,Around,From,besides,while,beside,onto,beneath,On,out,amongst,WITH" )
        wekaFile.write("@ATTRIBUTE answer {N,V}\n")
        
        
    def writedata(self,featureTests,wekaFile):
        wekaFile.write("@DATA\n")
        for featureTest in featureTests:
            for key in self.report:
                if key in featureTest.results:
                    wekaFile.write("%s," % featureTest.results[key])
            
            wekaFile.write("%s," % featureTest.verbclass)
            wekaFile.write("%s," % featureTest.preposition)
            wekaFile.write("%s\n" % featureTest.answer)
    
    
    def writereport(self, featureTests, sampleName, reportSelector):            
        path = "weka"
        if not os.path.isdir(path):
            try:
                os.makedirs(path)
            except OSError as exception:
                print exception
                raise
        with open(path + os.sep + sampleName + "-" + reportSelector + ".arff", "w") as wekaFile:
            self.writeheader(featureTests, wekaFile)
            self.writedata(featureTests, wekaFile)